function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var Pipeline = _interopDefault(require('@pipeline-ui-2/pipeline'));

var styles = {"AlgoButton":"_1E3Mb","AlgoSendButton":"_uMOg7"};

var AlgoSendButton = function AlgoSendButton(props) {
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("button", {
    className: styles.AlgoSendButton,
    onClick: function onClick() {
      Pipeline.send(props.recipient, parseInt(props.amount || 1), props.note || "", Pipeline.myAddress, props.wallet, props.index || 0).then(function (data) {
        if (typeof data !== 'undefined') {
          if (props.returnTo !== undefined) {
            var object = {};
            object[props.returnTo] = data;
            props.context.setState(object);
          }

          if (typeof props.onChange === "function") {
            props.onChange(data);
          }
        }
      });
    }
  }, "Send"));
};
var AlgoButton = function AlgoButton(props) {
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("select", {
    id: "walletswitch",
    onChange: function onChange() {
      Pipeline.pipeConnector = document.getElementById("walletswitch").value;
    }
  }, /*#__PURE__*/React.createElement("option", null, "myAlgoWallet"), /*#__PURE__*/React.createElement("option", null, "WalletConnect"), /*#__PURE__*/React.createElement("option", null, "AlgoSigner")), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("button", {
    className: styles.AlgoButton,
    onClick: function onClick() {
      Pipeline.connect(props.wallet).then(function (accounts) {
        if (props.returnTo !== undefined) {
          var data = {};
          data[props.returnTo] = accounts;
          props.context.setState(data);
        }

        if (typeof props.onChange === "function") {
          props.onChange(accounts);
        }
      });
    }
  }, "Connect"));
};

exports.Pipeline = Pipeline;
exports.AlgoButton = AlgoButton;
exports.AlgoSendButton = AlgoSendButton;
//# sourceMappingURL=index.js.map
